# cc_ccache_iterator_f Struct Reference

## Detailed Description

Function pointer table for cc_ccache_iterator_t. For more information see cc_ccache_iterator_t Overview.

## Data Fields

- cc_int32(* release )(cc_ccache_iterator_t io_ccache_iterator)
    cc_ccache_iterator_release(): Release memory associated with a cc_ccache_iterator_t object.
- cc_int32(* next )(cc_ccache_iterator_t in_ccache_iterator, cc_ccache_t *out_ccache)
    cc_ccache_iterator_next(): Get the next ccache in the cache collection.
- cc_int32(* clone )(cc_ccache_iterator_t in_ccache_iterator, cc_ccache_iterator_t *out_ccache_iterator)
    cc_ccache_iterator_clone(): Make a copy of a ccache iterator.

## Field Documentation

cc_int32(* release)(cc_ccache_iterator_t io_ccache_iterator)

cc_ccache_iterator_release(): Release memory associated with a cc_ccache_iterator_t object.

Parameters:

  | io_ccache_iterator | the ccache iterator object to release.

Returns:
  On success, ccNoError. On failure, an error code representing the failure.

cc_int32(* next)(cc_ccache_iterator_t in_ccache_iterator, cc_ccache_t *out_ccache)

cc_ccache_iterator_next(): Get the next ccache in the cache collection.

Parameters:

  | in_ccache_iterator | a ccache iterator object.
  | out_ccache | on exit, the next ccache in the cache collection.

Returns:
  On success, ccNoError if the next ccache in the cache collection was obtained or ccIteratorEnd if there are no more ccaches. On failure, an error code representing the failure.

cc_int32(* clone)(cc_ccache_iterator_t in_ccache_iterator, cc_ccache_iterator_t *out_ccache_iterator)

cc_ccache_iterator_clone(): Make a copy of a ccache iterator.

Parameters:

  | in_ccache_iterator | a ccache iterator object.
  | out_ccache_iterator | on exit, a copy of in_ccache_iterator.

Returns:
  On success, ccNoError. On failure, an error code representing the failure.